include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/ftview
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
  ${FREETYPE_INCLUDE_DIRS}
)


add_subdirectory( ftview )


##### codecs

tde_add_library( kls_ttf SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)

tde_add_executable( ksquirrel-libs-ttf2pnm
  SOURCES ttf2pnm.cpp ftcommon.cpp
  LINK ${LCMS_LIBRARIES} ${FREETYPE_LIBRARIES} ftview-static
  DESTINATION ${BIN_INSTALL_DIR}
)
